Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.ide.view
Class ScaleGranularityControl

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.jface.action.ControlContribution
              org.eclipse.ui.internal.menus.InternalControlContribution
                  org.eclipse.ui.menus.WorkbenchWindowControlContribution
                      org.eclipse.amp.axf.ide.view.ScaleGranularityControl

All Implemented Interfaces:
  IModelWorkbenchListener, org.eclipse.jface.action.IContributionItem

    public class ScaleGranularityControl

extends org.eclipse.ui.menus.WorkbenchWindowControlContribution
implements IModelWorkbenchListener

Author:
  mparker

Constructor Summary
`ScaleGranularityControl()`

Method Summary
`protected org.eclipse.swt.widgets.Control` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` | `modelActivated(IModel model)` Notifies the listener that the given model has been activated, that is in foreground and controllable.
`void` | `modelAdded(IModel model)` Model added.
`void` | `modelRemoved(IModel model)` Model removed.
`protected void` | `setScaleSelection(int value)`
`void` | `viewActivated(org.eclipse.ui.IWorkbenchPart part)` View activated.
`void` | `viewAdded(org.eclipse.ui.IWorkbenchPart part)` View added.
`void` | `viewRemoved(org.eclipse.ui.IWorkbenchPart part)` View removed.

Methods inherited from class org.eclipse.ui.menus.WorkbenchWindowControlContribution
`delegateCreateControl, getCurSide, getOrientation, getWorkbenchWindow`

Methods inherited from class org.eclipse.ui.internal.menus.InternalControlContribution
`setCurSide, setWorkbenchWindow`

Methods inherited from class org.eclipse.jface.action.ControlContribution
`computeWidth, fill, fill, fill`

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScaleGranularityControl

    public ScaleGranularityControl()

Method Detail

### createControl

    protected org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in class `org.eclipse.jface.action.ControlContribution`
  Parameters:
    `parent` -
  Returns:
  See Also:
    `ControlContribution.createControl(org.eclipse.swt.widgets.Composite)`

### setScaleSelection

    protected void setScaleSelection(int value)

### modelActivated

    public void modelActivated(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Notifies the listener that the given model has been activated, that is in foreground and controllable. The model is not necessarily focused, nor even visible. Models can be executing but not activated. Note that this assumes that any already activated model is now deactivated, and it the listener's responsibility to keep a reference to that prior model as appropriate. Only one model may be active at any one time.

  Specified by:
    `modelActivated` in interface `IModelWorkbenchListener`
  Parameters:
    `model` -
  See Also:
    `IModelWorkbenchListener.modelActivated(IModel)`

### modelAdded

    public void modelAdded(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Model added.

  Specified by:
    `modelAdded` in interface `IModelWorkbenchListener`
  Parameters:
    `model` -
  See Also:
    `IModelWorkbenchListener.modelAdded(IModel)`

### modelRemoved

    public void modelRemoved(IModel model)

  Description copied from interface: `IModelWorkbenchListener`
  Model removed.

  Specified by:
    `modelRemoved` in interface `IModelWorkbenchListener`
  Parameters:
    `model` -
  See Also:
    `IModelWorkbenchListener.modelRemoved(IModel)`

### viewActivated

    public void viewActivated(org.eclipse.ui.IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View activated.

  Specified by:
    `viewActivated` in interface `IModelWorkbenchListener`
  Parameters:
    `part` -
  See Also:
    `IModelWorkbenchListener.viewActivated(org.eclipse.ui.IWorkbenchPart)`

### viewAdded

    public void viewAdded(org.eclipse.ui.IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View added.

  Specified by:
    `viewAdded` in interface `IModelWorkbenchListener`
  Parameters:
    `part` -
  See Also:
    `IModelWorkbenchListener.viewAdded(org.eclipse.ui.IWorkbenchPart)`

### viewRemoved

    public void viewRemoved(org.eclipse.ui.IWorkbenchPart part)

  Description copied from interface: `IModelWorkbenchListener`
  View removed.

  Specified by:
    `viewRemoved` in interface `IModelWorkbenchListener`
  Parameters:
    `part` -
  See Also:
    `IModelWorkbenchListener.viewRemoved(org.eclipse.ui.IWorkbenchPart)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD